pcl::poisson::OctNode< NodeData, Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Classes

class | ConstNeighborKey3
class | ConstNeighborKey5
class | ConstNeighbors3
class | ConstNeighbors5
class | NeighborKey3
class | NeighborKey5
class | Neighbors3
class | Neighbors5

## Public Member Functions

| OctNode (void)
| ~OctNode (void)
int | initChildren (void)
void | depthAndOffset (int &depth, int offset[DIMENSION]) const
int | depth (void) const
void | centerAndWidth (Point3D< Real > &center, Real &width) const
bool | isInside (Point3D< Real > p) const
int | leaves (void) const
int | maxDepthLeaves (int maxDepth) const
int | nodes (void) const
int | maxDepth (void) const
const OctNode * | root (void) const
const OctNode * | nextLeaf (const OctNode *currentLeaf=NULL) const
OctNode * | nextLeaf (OctNode *currentLeaf=NULL)
const OctNode * | nextNode (const OctNode *currentNode=NULL) const
OctNode * | nextNode (OctNode *currentNode=NULL)
const OctNode * | nextBranch (const OctNode *current) const
OctNode * | nextBranch (OctNode *current)
const OctNode * | prevBranch (const OctNode *current) const
OctNode * | prevBranch (OctNode *current)
void | setFullDepth (int maxDepth)
void | printLeaves (void) const
void | printRange (void) const
template<class NodeAdjacencyFunction >
void | processNodeFaces (OctNode *node, NodeAdjacencyFunction *F, int fIndex, int processCurrent=1)
template<class NodeAdjacencyFunction >
void | processNodeEdges (OctNode *node, NodeAdjacencyFunction *F, int eIndex, int processCurrent=1)
template<class NodeAdjacencyFunction >
void | processNodeCorners (OctNode *node, NodeAdjacencyFunction *F, int cIndex, int processCurrent=1)
template<class NodeAdjacencyFunction >
void | processNodeNodes (OctNode *node, NodeAdjacencyFunction *F, int processCurrent=1)
OctNode * | faceNeighbor (int faceIndex, int forceChildren=0)
const OctNode * | faceNeighbor (int faceIndex) const
OctNode * | edgeNeighbor (int edgeIndex, int forceChildren=0)
const OctNode * | edgeNeighbor (int edgeIndex) const
OctNode * | cornerNeighbor (int cornerIndex, int forceChildren=0)
const OctNode * | cornerNeighbor (int cornerIndex) const
OctNode * | getNearestLeaf (const Point3D< Real > &p)
const OctNode * | getNearestLeaf (const Point3D< Real > &p) const
template<class NodeData2 >
OctNode & | operator= (const OctNode< NodeData2, Real > &node)
int | write (const char *fileName) const
int | write (FILE *fp) const
int | read (const char *fileName)
int | read (FILE *fp)
void | centerIndex (int maxDepth, int index[DIMENSION]) const
int | width (int maxDepth) const
template<class NodeAdjacencyFunction >
void | ProcessNodeAdjacentNodes (int dx, int dy, int dz, OctNode< NodeData, Real > *node1, int radius1, OctNode< NodeData, Real > *node2, int radius2, int width2, NodeAdjacencyFunction *F, int processCurrent)
template<class TerminatingNodeAdjacencyFunction >
void | ProcessTerminatingNodeAdjacentNodes (int dx, int dy, int dz, OctNode< NodeData, Real > *node1, int radius1, OctNode< NodeData, Real > *node2, int radius2, int width2, TerminatingNodeAdjacencyFunction *F, int processCurrent)
template<class PointAdjacencyFunction >
void | ProcessPointAdjacentNodes (int dx, int dy, int dz, OctNode< NodeData, Real > *node2, int radius2, int width2, PointAdjacencyFunction *F, int processCurrent)
template<class NodeAdjacencyFunction >
void | ProcessFixedDepthNodeAdjacentNodes (int maxDepth, OctNode< NodeData, Real > *node1, int width1, OctNode< NodeData, Real > *node2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent)
template<class NodeAdjacencyFunction >
void | ProcessFixedDepthNodeAdjacentNodes (int dx, int dy, int dz, OctNode< NodeData, Real > *node1, int radius1, OctNode< NodeData, Real > *node2, int radius2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent)
template<class NodeAdjacencyFunction >
void | ProcessMaxDepthNodeAdjacentNodes (int maxDepth, OctNode< NodeData, Real > *node1, int width1, OctNode< NodeData, Real > *node2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent)
template<class NodeAdjacencyFunction >
void | ProcessMaxDepthNodeAdjacentNodes (int dx, int dy, int dz, OctNode< NodeData, Real > *node1, int radius1, OctNode< NodeData, Real > *node2, int radius2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent)
template<class NodeData2 >
OctNode< NodeData, Real > & | operator= (const OctNode< NodeData2, Real > &node)

## Static Public Member Functions

static int | UseAllocator (void)
static void | SetAllocator (int blockSize)
static void | DepthAndOffset (const long long &index, int &depth, int offset[DIMENSION])
static void | CenterAndWidth (const long long &index, Point3D< Real > &center, Real &width)
static int | Depth (const long long &index)
static void | Index (int depth, const int offset[3], short &d, short off[DIMENSION])
template<class NodeAdjacencyFunction >
static void | ProcessNodeAdjacentNodes (int maxDepth, OctNode *node1, int width1, OctNode *node2, int width2, NodeAdjacencyFunction *F, int processCurrent=1)
template<class NodeAdjacencyFunction >
static void | ProcessNodeAdjacentNodes (int dx, int dy, int dz, OctNode *node1, int radius1, OctNode *node2, int radius2, int width2, NodeAdjacencyFunction *F, int processCurrent=1)
template<class TerminatingNodeAdjacencyFunction >
static void | ProcessTerminatingNodeAdjacentNodes (int maxDepth, OctNode *node1, int width1, OctNode *node2, int width2, TerminatingNodeAdjacencyFunction *F, int processCurrent=1)
template<class TerminatingNodeAdjacencyFunction >
static void | ProcessTerminatingNodeAdjacentNodes (int dx, int dy, int dz, OctNode *node1, int radius1, OctNode *node2, int radius2, int width2, TerminatingNodeAdjacencyFunction *F, int processCurrent=1)
template<class PointAdjacencyFunction >
static void | ProcessPointAdjacentNodes (int maxDepth, const int center1[3], OctNode *node2, int width2, PointAdjacencyFunction *F, int processCurrent=1)
template<class PointAdjacencyFunction >
static void | ProcessPointAdjacentNodes (int dx, int dy, int dz, OctNode *node2, int radius2, int width2, PointAdjacencyFunction *F, int processCurrent=1)
template<class NodeAdjacencyFunction >
static void | ProcessFixedDepthNodeAdjacentNodes (int maxDepth, OctNode *node1, int width1, OctNode *node2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent=1)
template<class NodeAdjacencyFunction >
static void | ProcessFixedDepthNodeAdjacentNodes (int dx, int dy, int dz, OctNode *node1, int radius1, OctNode *node2, int radius2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent=1)
template<class NodeAdjacencyFunction >
static void | ProcessMaxDepthNodeAdjacentNodes (int maxDepth, OctNode *node1, int width1, OctNode *node2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent=1)
template<class NodeAdjacencyFunction >
static void | ProcessMaxDepthNodeAdjacentNodes (int dx, int dy, int dz, OctNode *node1, int radius1, OctNode *node2, int radius2, int width2, int depth, NodeAdjacencyFunction *F, int processCurrent=1)
static int | CornerIndex (const Point3D< Real > &center, const Point3D< Real > &p)
static int | CommonEdge (const OctNode *node1, int eIndex1, const OctNode *node2, int eIndex2)
static int | CompareForwardDepths (const void *v1, const void *v2)
static int | CompareByDepthAndXYZ (const void *v1, const void *v2)
static int | CompareByDepthAndZIndex (const void *v1, const void *v2)
static int | CompareForwardPointerDepths (const void *v1, const void *v2)
static int | CompareBackwardDepths (const void *v1, const void *v2)
static int | CompareBackwardPointerDepths (const void *v1, const void *v2)
static int | Overlap2 (const int &depth1, const int offSet1[DIMENSION], const Real &multiplier1, const int &depth2, const int offSet2[DIMENSION], const Real &multiplier2)

## Public Attributes

OctNode * | parent
OctNode * | children
short | d
short | off [DIMENSION]
NodeData | nodeData

## Static Public Attributes

static const int | DepthShift =5
static const int | OffsetShift =19
static const int | OffsetShift1 =DepthShift
static const int | OffsetShift2 =OffsetShift1+OffsetShift
static const int | OffsetShift3 =OffsetShift2+OffsetShift
static const int | DepthMask =(1<<DepthShift)-1
static const int | OffsetMask =(1<<OffsetShift)-1
static Allocator< OctNode > | internalAllocator

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >

Definition at line 48 of file octree_poisson.h.

## Constructor & Destructor Documentation

## OctNode()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::OctNode | ( | void |  | ) |

Definition at line 67 of file octree_poisson.hpp.

## ~OctNode()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::~OctNode | ( | void |  | ) |

Definition at line 73 of file octree_poisson.hpp.

## Member Function Documentation

## CenterAndWidth()

template<class NodeData , class Real>

void pcl::poisson::OctNode< NodeData, Real >::CenterAndWidth | ( | const long long & | index,
|  | Point3D< Real > & | center,
|  | Real & | width
| ) |  |

inline static

Definition at line 165 of file octree_poisson.hpp.

## centerAndWidth()

template<class NodeData , class Real>

void pcl::poisson::OctNode< NodeData, Real >::centerAndWidth | ( | Point3D< Real > & | center,
|  | Real & | width
| ) |  | const

Definition at line 146 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::Octree(), and pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set().

## centerIndex()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::centerIndex | ( | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  | const

Definition at line 1904 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessFixedDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessMaxDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessPointAdjacentNodes(), and pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessTerminatingNodeAdjacentNodes().

## CommonEdge()

template<class NodeData, class Real = float>

int pcl::poisson::OctNode< NodeData, Real >::CommonEdge | ( | const OctNode< NodeData, Real > * | node1,
|  | int | eIndex1,
|  | const OctNode< NodeData, Real > * | node2,
|  | int | eIndex2
| ) |  |

static

Definition at line 722 of file octree_poisson.hpp.

## CompareBackwardDepths()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::CompareBackwardDepths | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 832 of file octree_poisson.hpp.

## CompareBackwardPointerDepths()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::CompareBackwardPointerDepths | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 836 of file octree_poisson.hpp.

## CompareByDepthAndXYZ()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::CompareByDepthAndXYZ | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 783 of file octree_poisson.hpp.

## CompareByDepthAndZIndex()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::CompareByDepthAndZIndex | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 801 of file octree_poisson.hpp.

## CompareForwardDepths()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::CompareForwardDepths | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 779 of file octree_poisson.hpp.

## CompareForwardPointerDepths()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::CompareForwardPointerDepths | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 816 of file octree_poisson.hpp.

## CornerIndex()

template<class NodeData , class Real>

int pcl::poisson::OctNode< NodeData, Real >::CornerIndex | ( | const Point3D< Real > & | center,
|  | const Point3D< Real > & | p
| ) |  |

static

Definition at line 756 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set().

## cornerNeighbor() [1/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::cornerNeighbor | ( | int | cornerIndex,
|  | int | forceChildren = `0`
| ) |  |

Definition at line 1023 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::cornerNeighbor().

## cornerNeighbor() [2/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::cornerNeighbor | ( | int | cornerIndex | ) | const

Definition at line 975 of file octree_poisson.hpp.

## depth()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::depth | ( | void |  | ) | const

inline

Definition at line 135 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::OctNode< class TreeNodeData, Real >::operator=(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessFixedDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessMaxDepthNodeAdjacentNodes(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors(), pcl::poisson::UpSampleData::UpSampleData(), and pcl::poisson::OctNode< class TreeNodeData, Real >::width().

## Depth()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::Depth | ( | const long long & | index | ) |

inline static

Definition at line 144 of file octree_poisson.hpp.

## depthAndOffset()

template<class NodeData, class Real = float>

void pcl::poisson::OctNode< NodeData, Real >::depthAndOffset | ( | int & | depth,
|  | int | offset[DIMENSION]
| ) |  | const

inline

Definition at line 128 of file octree_poisson.hpp.

Referenced by pcl::poisson::VertexData::CenterIndex(), pcl::poisson::OctNode< class TreeNodeData, Real >::centerIndex(), pcl::poisson::OctNode< class TreeNodeData, Real >::CommonEdge(), pcl::poisson::OctNode< class TreeNodeData, Real >::CompareByDepthAndZIndex(), pcl::poisson::VertexData::CornerIndex(), pcl::poisson::VertexData::EdgeIndex(), pcl::poisson::VertexData::FaceIndex(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::SortedTreeNodes::getMaxCornerCount(), pcl::poisson::SortedTreeNodes::getMaxEdgeCount(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::SortedTreeNodes::setEdgeTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::Octree< Degree >::setTree(), and pcl::poisson::UpSampleData::UpSampleData().

## DepthAndOffset()

template<class NodeData, class Real = float>

void pcl::poisson::OctNode< NodeData, Real >::DepthAndOffset | ( | const long long & | index,
|  | int & | depth,
|  | int | offset[DIMENSION]
| ) |  |

inline static

Definition at line 137 of file octree_poisson.hpp.

## edgeNeighbor() [1/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::edgeNeighbor | ( | int | edgeIndex,
|  | int | forceChildren = `0`
| ) |  |

Definition at line 890 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::cornerNeighbor(), and pcl::poisson::Octree< Degree >::GetIsoValue().

## edgeNeighbor() [2/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::edgeNeighbor | ( | int | edgeIndex | ) | const

Definition at line 901 of file octree_poisson.hpp.

## faceNeighbor() [1/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::faceNeighbor | ( | int | faceIndex,
|  | int | forceChildren = `0`
| ) |  |

Definition at line 857 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue().

## faceNeighbor() [2/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::faceNeighbor | ( | int | faceIndex | ) | const

Definition at line 859 of file octree_poisson.hpp.

## getNearestLeaf() [1/2]

template<class NodeData , class Real>

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::getNearestLeaf | ( | const Point3D< Real > & | p | ) |

Definition at line 685 of file octree_poisson.hpp.

## getNearestLeaf() [2/2]

template<class NodeData , class Real>

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::getNearestLeaf | ( | const Point3D< Real > & | p | ) | const

Definition at line 707 of file octree_poisson.hpp.

## Index()

template<class NodeData, class Real = float>

void pcl::poisson::OctNode< NodeData, Real >::Index | ( | int | depth,
|  | const int | offset[3],
|  | short & | d,
|  | short | off[DIMENSION]
| ) |  |

inline static

Definition at line 120 of file octree_poisson.hpp.

## initChildren()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::initChildren | ( | void |  | ) |

Definition at line 87 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::cornerNeighbor(), pcl::poisson::OctNode< class TreeNodeData, Real >::edgeNeighbor(), pcl::poisson::OctNode< class TreeNodeData, Real >::faceNeighbor(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::OctNode< class TreeNodeData, Real >::read(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors(), and pcl::poisson::Octree< Degree >::setTree().

## isInside()

template<class NodeData , class Real>

bool pcl::poisson::OctNode< NodeData, Real >::isInside | ( | Point3D< Real > | p | ) | const

Definition at line 156 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set().

## leaves()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::leaves | ( | void |  | ) | const

Definition at line 197 of file octree_poisson.hpp.

## maxDepth()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::maxDepth | ( | void |  | ) | const

Definition at line 176 of file octree_poisson.hpp.

Referenced by pcl::poisson::SortedTreeNodes::set().

## maxDepthLeaves()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::maxDepthLeaves | ( | int | maxDepth | ) | const

Definition at line 206 of file octree_poisson.hpp.

## nextBranch() [1/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::nextBranch | ( | const OctNode< NodeData, Real > * | current | ) | const

Definition at line 224 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), and pcl::poisson::Octree< Degree >::LaplacianMatrixIteration().

## nextBranch() [2/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::nextBranch | ( | OctNode< NodeData, Real > * | current | ) |

Definition at line 231 of file octree_poisson.hpp.

## nextLeaf() [1/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::nextLeaf | ( | const OctNode< NodeData, Real > * | currentLeaf = `NULL` | ) | const

Definition at line 251 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::OctNode< class TreeNodeData, Real >::nextLeaf(), and pcl::poisson::Octree< Degree >::RefineBoundary().

## nextLeaf() [2/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::nextLeaf | ( | OctNode< NodeData, Real > * | currentLeaf = `NULL` | ) |

Definition at line 263 of file octree_poisson.hpp.

## nextNode() [1/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::nextNode | ( | const OctNode< NodeData, Real > * | currentNode = `NULL` | ) | const

Definition at line 276 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::ClipTree(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetSolutionGrid(), pcl::poisson::Octree< Degree >::GetWeightGrid(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), and pcl::poisson::Octree< Degree >::setTree().

## nextNode() [2/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::nextNode | ( | OctNode< NodeData, Real > * | currentNode = `NULL` | ) |

Definition at line 283 of file octree_poisson.hpp.

## nodes()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::nodes | ( | void |  | ) | const

Definition at line 188 of file octree_poisson.hpp.

Referenced by pcl::poisson::SortedTreeNodes::set().

## operator=() [1/2]

template<class NodeData, class Real = float>
template<class NodeData2 >

OctNode& pcl::poisson::OctNode< NodeData, Real >::operator= | ( | const OctNode< NodeData2, Real > & | node | ) |

## operator=() [2/2]

template<class NodeData, class Real = float>
template<class NodeData2 >

OctNode<NodeData,Real>& pcl::poisson::OctNode< NodeData, Real >::operator= | ( | const OctNode< NodeData2, Real > & | node | ) |

Definition at line 765 of file octree_poisson.hpp.

## Overlap2()

template<class NodeData , class Real>

int pcl::poisson::OctNode< NodeData, Real >::Overlap2 | ( | const int & | depth1,
|  | const int | offSet1[DIMENSION],
|  | const Real & | multiplier1,
|  | const int & | depth2,
|  | const int | offSet2[DIMENSION],
|  | const Real & | multiplier2
| ) |  |

inline static

Definition at line 840 of file octree_poisson.hpp.

## prevBranch() [1/2]

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::prevBranch | ( | const OctNode< NodeData, Real > * | current | ) | const

Definition at line 237 of file octree_poisson.hpp.

## prevBranch() [2/2]

template<class NodeData , class Real >

OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::prevBranch | ( | OctNode< NodeData, Real > * | current | ) |

Definition at line 244 of file octree_poisson.hpp.

## printLeaves()

template<class NodeData, class Real = float>

void pcl::poisson::OctNode< NodeData, Real >::printLeaves | ( | void |  | ) | const

## printRange()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::printRange | ( | void |  | ) | const

Definition at line 291 of file octree_poisson.hpp.

## ProcessFixedDepthNodeAdjacentNodes() [1/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessFixedDepthNodeAdjacentNodes | ( | int | maxDepth,
|  | OctNode< NodeData, Real > * | node1,
|  | int | width1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessFixedDepthNodeAdjacentNodes() [2/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessFixedDepthNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessFixedDepthNodeAdjacentNodes() [3/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessFixedDepthNodeAdjacentNodes | ( | int | maxDepth,
|  | OctNode< NodeData, Real > * | node1,
|  | int | width1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 448 of file octree_poisson.hpp.

## ProcessFixedDepthNodeAdjacentNodes() [4/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessFixedDepthNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 463 of file octree_poisson.hpp.

## ProcessMaxDepthNodeAdjacentNodes() [1/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessMaxDepthNodeAdjacentNodes | ( | int | maxDepth,
|  | OctNode< NodeData, Real > * | node1,
|  | int | width1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessMaxDepthNodeAdjacentNodes() [2/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessMaxDepthNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessMaxDepthNodeAdjacentNodes() [3/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessMaxDepthNodeAdjacentNodes | ( | int | maxDepth,
|  | OctNode< NodeData, Real > * | node1,
|  | int | width1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 479 of file octree_poisson.hpp.

## ProcessMaxDepthNodeAdjacentNodes() [4/4]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessMaxDepthNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | int | depth,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 493 of file octree_poisson.hpp.

## ProcessNodeAdjacentNodes() [1/3]

template<class NodeData , class Real >
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessNodeAdjacentNodes | ( | int | maxDepth,
|  | OctNode< NodeData, Real > * | node1,
|  | int | width1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

Definition at line 383 of file octree_poisson.hpp.

## ProcessNodeAdjacentNodes() [2/3]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessNodeAdjacentNodes() [3/3]

template<class NodeData, class Real = float>
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 394 of file octree_poisson.hpp.

## processNodeCorners()

template<class NodeData , class Real >
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::processNodeCorners | ( | OctNode< NodeData, Real > * | node,
|  | NodeAdjacencyFunction * | F,
|  | int | cIndex,
|  | int | processCurrent = `1`
| ) |  |

Definition at line 333 of file octree_poisson.hpp.

## processNodeEdges()

template<class NodeData , class Real >
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::processNodeEdges | ( | OctNode< NodeData, Real > * | node,
|  | NodeAdjacencyFunction * | F,
|  | int | eIndex,
|  | int | processCurrent = `1`
| ) |  |

Definition at line 323 of file octree_poisson.hpp.

## processNodeFaces()

template<class NodeData , class Real >
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::processNodeFaces | ( | OctNode< NodeData, Real > * | node,
|  | NodeAdjacencyFunction * | F,
|  | int | fIndex,
|  | int | processCurrent = `1`
| ) |  |

Definition at line 313 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue().

## processNodeNodes()

template<class NodeData , class Real >
template<class NodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::processNodeNodes | ( | OctNode< NodeData, Real > * | node,
|  | NodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

Definition at line 307 of file octree_poisson.hpp.

## ProcessPointAdjacentNodes() [1/3]

template<class NodeData , class Real >
template<class PointAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessPointAdjacentNodes | ( | int | maxDepth,
|  | const int | center1[3],
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | PointAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

Definition at line 428 of file octree_poisson.hpp.

## ProcessPointAdjacentNodes() [2/3]

template<class NodeData, class Real = float>
template<class PointAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessPointAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | PointAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessPointAdjacentNodes() [3/3]

template<class NodeData, class Real = float>
template<class PointAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessPointAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | PointAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 437 of file octree_poisson.hpp.

## ProcessTerminatingNodeAdjacentNodes() [1/3]

template<class NodeData , class Real >
template<class TerminatingNodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessTerminatingNodeAdjacentNodes | ( | int | maxDepth,
|  | OctNode< NodeData, Real > * | node1,
|  | int | width1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | width2,
|  | TerminatingNodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

Definition at line 405 of file octree_poisson.hpp.

## ProcessTerminatingNodeAdjacentNodes() [2/3]

template<class NodeData, class Real = float>
template<class TerminatingNodeAdjacencyFunction >

static void pcl::poisson::OctNode< NodeData, Real >::ProcessTerminatingNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | TerminatingNodeAdjacencyFunction * | F,
|  | int | processCurrent = `1`
| ) |  |

static

## ProcessTerminatingNodeAdjacentNodes() [3/3]

template<class NodeData, class Real = float>
template<class TerminatingNodeAdjacencyFunction >

void pcl::poisson::OctNode< NodeData, Real >::ProcessTerminatingNodeAdjacentNodes | ( | int | dx,
|  | int | dy,
|  | int | dz,
|  | OctNode< NodeData, Real > * | node1,
|  | int | radius1,
|  | OctNode< NodeData, Real > * | node2,
|  | int | radius2,
|  | int | width2,
|  | TerminatingNodeAdjacencyFunction * | F,
|  | int | processCurrent
| ) |  |

Definition at line 416 of file octree_poisson.hpp.

## read() [1/2]

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::read | ( | const char * | fileName | ) |

Definition at line 1877 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::read().

## read() [2/2]

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::read | ( | FILE * | fp | ) |

Definition at line 1885 of file octree_poisson.hpp.

## root()

template<class NodeData , class Real >

const OctNode< NodeData, Real > * pcl::poisson::OctNode< NodeData, Real >::root | ( | void |  | ) | const

Definition at line 216 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set().

## SetAllocator()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::SetAllocator | ( | int | blockSize | ) |

static

Definition at line 54 of file octree_poisson.hpp.

## setFullDepth()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::setFullDepth | ( | int | maxDepth | ) |

Definition at line 78 of file octree_poisson.hpp.

Referenced by pcl::poisson::Octree< Degree >::setTree().

## UseAllocator()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::UseAllocator | ( | void |  | ) |

static

Definition at line 64 of file octree_poisson.hpp.

## width()

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::width | ( | int | maxDepth | ) | const

Definition at line 1899 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessFixedDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessMaxDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessPointAdjacentNodes(), and pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessTerminatingNodeAdjacentNodes().

## write() [1/2]

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::write | ( | const char * | fileName | ) | const

Definition at line 1863 of file octree_poisson.hpp.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::write().

## write() [2/2]

template<class NodeData , class Real >

int pcl::poisson::OctNode< NodeData, Real >::write | ( | FILE * | fp | ) | const

Definition at line 1871 of file octree_poisson.hpp.

## Member Data Documentation

## children

template<class NodeData, class Real = float>

OctNode* pcl::poisson::OctNode< NodeData, Real >::children

Definition at line 93 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::cornerNeighbor(), pcl::poisson::OctNode< class TreeNodeData, Real >::edgeNeighbor(), pcl::poisson::OctNode< class TreeNodeData, Real >::faceNeighbor(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::OctNode< class TreeNodeData, Real >::getNearestLeaf(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::OctNode< class TreeNodeData, Real >::nextBranch(), pcl::poisson::OctNode< class TreeNodeData, Real >::nextLeaf(), pcl::poisson::OctNode< class TreeNodeData, Real >::nextNode(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::OctNode< class TreeNodeData, Real >::operator=(), pcl::poisson::OctNode< class TreeNodeData, Real >::prevBranch(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessFixedDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessMaxDepthNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::processNodeCorners(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessPointAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::ProcessTerminatingNodeAdjacentNodes(), pcl::poisson::OctNode< class TreeNodeData, Real >::read(), pcl::poisson::SortedTreeNodes::set(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors(), pcl::poisson::Octree< Degree >::setTree(), pcl::poisson::UpSampleData::UpSampleData(), and pcl::poisson::OctNode< class TreeNodeData, Real >::write().

## d

template<class NodeData, class Real = float>

short pcl::poisson::OctNode< NodeData, Real >::d

Definition at line 94 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::centerIndex(), pcl::poisson::OctNode< class TreeNodeData, Real >::CompareByDepthAndXYZ(), pcl::poisson::OctNode< class TreeNodeData, Real >::CompareForwardPointerDepths(), pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices(), pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::SortedTreeNodes::CornerTableData::operator[](), pcl::poisson::SortedTreeNodes::EdgeTableData::operator[](), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::set(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors(), and pcl::poisson::OctNode< class TreeNodeData, Real >::width().

## DepthMask

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::DepthMask =(1<<DepthShift)-1

static

Definition at line 86 of file octree_poisson.h.

## DepthShift

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::DepthShift =5

static

Definition at line 85 of file octree_poisson.h.

## internalAllocator

template<class NodeData, class Real = float>

Allocator< OctNode< NodeData, Real > > pcl::poisson::OctNode< NodeData, Real >::internalAllocator

static

Definition at line 88 of file octree_poisson.h.

## nodeData

template<class NodeData, class Real = float>

NodeData pcl::poisson::OctNode< NodeData, Real >::nodeData

Definition at line 95 of file octree_poisson.h.

Referenced by pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices(), pcl::poisson::SortedTreeNodes::EdgeTableData::edgeIndices(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::SortedTreeNodes::CornerTableData::operator[](), pcl::poisson::SortedTreeNodes::EdgeTableData::operator[](), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::SortedTreeNodes::setEdgeTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::Octree< Degree >::setTree(), and pcl::poisson::UpSampleData::UpSampleData().

## off

template<class NodeData, class Real = float>

short pcl::poisson::OctNode< NodeData, Real >::off[DIMENSION]

Definition at line 94 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::CompareByDepthAndXYZ(), pcl::poisson::OctNode< class TreeNodeData, Real >::CompareForwardPointerDepths(), pcl::poisson::Octree< Degree >::finalize(), and pcl::poisson::Octree< Degree >::GetMCIsoTriangles().

## OffsetMask

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::OffsetMask =(1<<OffsetShift)-1

static

Definition at line 86 of file octree_poisson.h.

## OffsetShift

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::OffsetShift =19

static

Definition at line 85 of file octree_poisson.h.

## OffsetShift1

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::OffsetShift1 =DepthShift

static

Definition at line 85 of file octree_poisson.h.

## OffsetShift2

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::OffsetShift2 =OffsetShift1+OffsetShift

static

Definition at line 85 of file octree_poisson.h.

## OffsetShift3

template<class NodeData, class Real = float>

const int pcl::poisson::OctNode< NodeData, Real >::OffsetShift3 =OffsetShift2+OffsetShift

static

Definition at line 85 of file octree_poisson.h.

## parent

template<class NodeData, class Real = float>

OctNode* pcl::poisson::OctNode< NodeData, Real >::parent

Definition at line 92 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< class TreeNodeData, Real >::CompareForwardPointerDepths(), pcl::poisson::Octree< Degree >::finalize(), pcl::poisson::Octree< Degree >::GetIsoValue(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::Octree< Degree >::LaplacianMatrixIteration(), pcl::poisson::OctNode< class TreeNodeData, Real >::nextBranch(), pcl::poisson::Octree< Degree >::Octree(), pcl::poisson::OctNode< class TreeNodeData, Real >::prevBranch(), pcl::poisson::OctNode< class TreeNodeData, Real >::read(), pcl::poisson::OctNode< class TreeNodeData, Real >::root(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), pcl::poisson::SortedTreeNodes::setCornerTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors(), and pcl::poisson::UpSampleData::UpSampleData().

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp